Package com.xebialabs.xlrelease.domain.udm.reporting

## Class PlanRecord

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.facet.Facet
    - - com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
      - - com.xebialabs.xlrelease.domain.udm.reporting.PlanRecord

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="Plan",
                description="Unified Data Model for Plan")
      public class PlanRecord
      extends TaskReportingRecord

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `CONFIGURATION_URI, scope`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlanRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getStatus()` |
    `java.lang.String` | `getTicket()` |
    `java.lang.String` | `getTicket_url()` |
    `java.lang.String` | `getTicketType()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getUpdatedBy()` |
    `java.util.Date` | `getUpdatedDate()` |
    `void` | `setStatus​(java.lang.String status)` |
    `void` | `setTicket​(java.lang.String ticket)` |
    `void` | `setTicket_url​(java.lang.String ticket_url)` |
    `void` | `setTicketType​(java.lang.String ticketType)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setUpdatedBy​(java.lang.String updatedBy)` |
    `void` | `setUpdatedDate​(java.util.Date updatedDate)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

      `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanRecord

          public PlanRecord()

  - ### Method Detail

    - #### getTicket

          public java.lang.String getTicket()

    - #### setTicket

          public void setTicket​(java.lang.String ticket)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getTicketType

          public java.lang.String getTicketType()

    - #### setTicketType

          public void setTicketType​(java.lang.String ticketType)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus​(java.lang.String status)

    - #### getUpdatedDate

          public java.util.Date getUpdatedDate()

    - #### setUpdatedDate

          public void setUpdatedDate​(java.util.Date updatedDate)

    - #### getUpdatedBy

          public java.lang.String getUpdatedBy()

    - #### setUpdatedBy

          public void setUpdatedBy​(java.lang.String updatedBy)

    - #### getTicket_url

          public java.lang.String getTicket_url()

    - #### setTicket_url

          public void setTicket_url​(java.lang.String ticket_url)